## com.thingmagic
Enum Reader.Region

    java.lang.Object
      java.lang.Enum<Reader.Region>
          com.thingmagic.Reader.Region

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Reader.Region>

Enclosing class:
  Reader

    public static enum Reader.Region

extends java.lang.Enum<Reader.Region>

RFID regulatory regions

Enum Constant Summary
`AU` Australia
`EU` European Union
`EU2` European Union (revised)
`EU3` European Union (revised)
`ID` Indonesia
`IN` India
`IS` Israel
`JP` Japan
`KR` Korea
`KR2` Korea (revised)
`MANUFACTURING` Unrestricted access to full hardware range
`MO` Macau
`MY` Malaysia
`NA` North America
`NA2` Reduced FCC region
`NA3` 5MHZ FCC band
`NZ` New Zealand !!EXPERIMENTAL!!
`OPEN` No-limit region
`PH` Philippines
`PRC` China
`PRC2` China(840MHZ)
`RU` Russia
`SG` Singapore
`TW` Taiwan
`UNSPEC` Region not set

Method Summary
`static Reader.Region` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Reader.Region[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSPEC

    public static final Reader.Region UNSPEC

  Region not set

### EU

    public static final Reader.Region EU

  European Union

### IN

    public static final Reader.Region IN

  India

### JP

    public static final Reader.Region JP

  Japan

### KR

    public static final Reader.Region KR

  Korea

### KR2

    public static final Reader.Region KR2

  Korea (revised)

### NA

    public static final Reader.Region NA

  North America

### PRC

    public static final Reader.Region PRC

  China

### PRC2

    public static final Reader.Region PRC2

  China(840MHZ)

### EU2

    public static final Reader.Region EU2

  European Union (revised)

### EU3

    public static final Reader.Region EU3

  European Union (revised)

### AU

    public static final Reader.Region AU

  Australia

### NZ

    public static final Reader.Region NZ

  New Zealand !!EXPERIMENTAL!!

### OPEN

    public static final Reader.Region OPEN

  No-limit region

### MANUFACTURING

    public static final Reader.Region MANUFACTURING

  Unrestricted access to full hardware range

### NA2

    public static final Reader.Region NA2

  Reduced FCC region

### NA3

    public static final Reader.Region NA3

  5MHZ FCC band

### IS

    public static final Reader.Region IS

  Israel

### MY

    public static final Reader.Region MY

  Malaysia

### ID

    public static final Reader.Region ID

  Indonesia

### PH

    public static final Reader.Region PH

  Philippines

### TW

    public static final Reader.Region TW

  Taiwan

### MO

    public static final Reader.Region MO

  Macau

### RU

    public static final Reader.Region RU

  Russia

### SG

    public static final Reader.Region SG

  Singapore

Method Detail

### values

    public static Reader.Region[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Reader.Region c : Reader.Region.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Reader.Region valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null